Jump to content
  • 0
Jim Smith

Older versions of VW on older OSX

Question

I have a 2010 MacBook Pro that runs OSX 10.6.8 that I've been reluctant to update to a newer OS as I don't know if things like VW 2008 or VW 12 will run with a newer OS.

 

My Question is; how "new" an OS can I install and still run these older versions of the software?

Share this post


Link to post

6 answers to this question

Recommended Posts

  • 0
Posted (edited)

Update:

 

I've just read on an Apple Forum that Power PC applications won't work past OS 10.6 & I assume that older Vectorwoks 12 through VW 2008 or 2009 will not run. Is this correct? 

Edited by Jim Smith

Share this post


Link to post
  • 0

Hi Jim, I've a 2010 MackbookPro with HS and VW Designer 2015 that both seem to run just fine. Mind you, I do not do any serious rendering, might be a "Show Stopper".

HTH

Share this post


Link to post
  • 0

Thanks @Mark Mosher , I use a 3yro MacBook Pro running 10.13.6 & VW 2019 right now for 99% of my work. The older macbook is to open older files in their original format. I also have a client (a millwork shop) who asks me from time to time to give him files in Vectorworks 10 (I know, perhaps he should also update from Windows 98!). Not being able to use most websites from the old MacBook is a bit of a pain, so I was thinking of updated the OS, but the idea of losing the ability to run some older versions of VW has me on the horns of a dilemma. 

Share this post


Link to post
  • 0

The public chart, but it doesnt go back far enough: 



This will give you a list of the macs and OS versions that work together: https://eshop.macsales.com/guides/Mac_OS_X_Compatibility

Tech support has an official chart with the results that they tested directly, they can give you specifics about the older versions. I'm fairly certain 12.5.3 was compatible with the last PowerPC CPus but I cannot recall.

(Old habits die hard, lol)

  • Like 3

Share this post


Link to post
  • 0

@Jim Smith Vectorworks 2008 was last officially supported on 10.6. Vectorworks 12 was last officially supported on 10.5; however, we had reports of it running on 10.6 without significant issues.

  • Like 1

Share this post


Link to post
  • 0

Thanks @ASagatovVW . I have been able to open Vectorworks 12 running on my OS 10.6.8 MacBook, this allows me to back save files to Vectorworks 10. In the opposite direction I have been able to import some old Mini Cad files by opening them in VW12, then opening successive iterations of VW to bring these files "back to life". I suspect that I'm going to have to abandon much of this if I update this machine to a newer OS. 

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

 

7150 Riverwood Drive, Columbia, Maryland 21046, USA   |   Contact Us:   410-290-5114

 

© 2018 Vectorworks, Inc. All Rights Reserved. Vectorworks, Inc. is part of the Nemetschek Group.

×